--- old/usr/src/uts/common/inet/ip/icmp.c	sam. juil. 16 15:14:47 2016
+++ new/usr/src/uts/common/inet/ip/icmp.c	sam. juil. 16 15:14:48 2016
@@ -240,48 +240,48 @@
 	/* tunable - 0 */
 	{ "_wroff_extra", MOD_PROTO_RAWIP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 128, 32}, {32} },
+	    {{0, 128, 32}}, {32} },
 
 	{ "_ipv4_ttl", MOD_PROTO_RAWIP,
 	    mod_set_uint32, mod_get_uint32,
-	    {1, 255, 255}, {255} },
+	    {{1, 255, 255}}, {255} },
 
 	{ "_ipv6_hoplimit", MOD_PROTO_RAWIP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, IPV6_MAX_HOPS, IPV6_DEFAULT_HOPS},
+	    {{0, IPV6_MAX_HOPS, IPV6_DEFAULT_HOPS}},
 	    {IPV6_DEFAULT_HOPS} },
 
 	{ "_bsd_compat", MOD_PROTO_RAWIP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_TRUE}, {B_TRUE} },
+	    {.mpi_bval = B_TRUE}, {B_TRUE} },
 
 	{ "send_buf", MOD_PROTO_RAWIP,
 	    icmp_set_buf_prop, icmp_get_buf_prop,
-	    {4096, 65536, 8192}, {8192} },
+	    {{4096, 65536, 8192}}, {8192} },
 
 	{ "_xmit_lowat", MOD_PROTO_RAWIP,
 	    mod_set_uint32, mod_get_uint32,
-	    {0, 65536, 1024}, {1024} },
+	    {{0, 65536, 1024}}, {1024} },
 
 	{ "recv_buf", MOD_PROTO_RAWIP,
 	    icmp_set_buf_prop, icmp_get_buf_prop,
-	    {4096, 65536, 8192}, {8192} },
+	    {{4096, 65536, 8192}}, {8192} },
 
 	{ "max_buf", MOD_PROTO_RAWIP,
 	    mod_set_uint32, mod_get_uint32,
-	    {65536, ULP_MAX_BUF, 256*1024}, {256*1024} },
+	    {{65536, ULP_MAX_BUF, 256*1024}}, {256*1024} },
 
 	{ "_pmtu_discovery", MOD_PROTO_RAWIP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
 	{ "_sendto_ignerr", MOD_PROTO_RAWIP,
 	    mod_set_boolean, mod_get_boolean,
-	    {B_FALSE}, {B_FALSE} },
+	    {.mpi_bval = B_FALSE}, {B_FALSE} },
 
-	{ "?", MOD_PROTO_RAWIP, NULL, mod_get_allprop, {0}, {0} },
+	{ "?", MOD_PROTO_RAWIP, NULL, mod_get_allprop, {{0}}, {0} },
 
-	{ NULL, 0, NULL, NULL, {0}, {0} }
+	{ NULL, 0, NULL, NULL, {{0}}, {0} }
 };
 
 #define	is_wroff_extra			is_propinfo_tbl[0].prop_cur_uval
@@ -5031,11 +5031,11 @@
 	kstat_t	*ksp;
 
 	rawip_named_kstat_t template = {
-		{ "inDatagrams",	KSTAT_DATA_UINT32, 0 },
-		{ "inCksumErrs",	KSTAT_DATA_UINT32, 0 },
-		{ "inErrors",		KSTAT_DATA_UINT32, 0 },
-		{ "outDatagrams",	KSTAT_DATA_UINT32, 0 },
-		{ "outErrors",		KSTAT_DATA_UINT32, 0 },
+		{ "inDatagrams",	KSTAT_DATA_UINT32, {{0}} },
+		{ "inCksumErrs",	KSTAT_DATA_UINT32, {{0}} },
+		{ "inErrors",		KSTAT_DATA_UINT32, {{0}} },
+		{ "outDatagrams",	KSTAT_DATA_UINT32, {{0}} },
+		{ "outErrors",		KSTAT_DATA_UINT32, {{0}} },
 	};
 
 	ksp = kstat_create_netstack("icmp", 0, "rawip", "mib2",
